Activities

Open check-in

The user's open "I'm here" check-in (checkin or null) and settings (mode — off · optional · required, radius). Check-in: id, customer_id, customer, at, time, minutes + minutes_l (time elapsed), st + st_label, dist + dist_l, acc, status, qe_url. An open check-in expires after 12 hours.

GET/api/v1/visits/checkin

Authorization

Authorizationheaderrequired
Bearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: Visits / ActivitiesScope: crm.read
Request
curl https://ornek.solk.app/api/v1/visits/checkin \
  -H "Authorization: Bearer $SOLK_API_KEY"
Response